> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Create organization service facility

POST https://api.taigabilling.com/api/organization-service-facilities/v2
Content-Type: application/json

Reference: https://docs.taigabilling.com/api-reference/organization-service-facilities-v-2/organization-service-facilities-v-2-create

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Body (application/json)

This endpoint expects an organization-service-facilitiesv2OrganizationServiceFacilityCreate.

- `name` (string, required) — The name of the service facility.
- `aliases` (list of string, required) — A list of alternate names for the service facility.
- `telecoms` (list of string, required) — A list of contact methods for the service facility.
- `address` (StreetAddressLongZip, required) — The address of the service facility.
- `description` (string, optional, nullable) — A description of the service facility.
- `external_id` (string, optional, nullable) — An ID for this service facility used in an external system (e.g. your EMR). Service facilities can be queried by this field.
- `npi` (string, optional, nullable) — An NPI specific to the service facility if applicable, i.e. if it has one and is not under the billing provider's NPI. Box 32 section (a) of the CMS-1500 claim form.
- `place_of_service_code` (enum, optional, nullable) — The Place of Service (POS) code for this service facility.
  - Allowed values: `01`, `02`, `03`, `04`, `05`, `06`, `07`, `08`, `09`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `31`, `32`, `33`, `34`, `41`, `42`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `60`, `61`, `62`, `65`, `71`, `72`, `81`, `99`
- `clia_number` (string, optional, nullable) — The associated CLIA number with this service facility. Can be used to populate CLIA numbers on encounters.
- `mammography_certification_number` (string, optional, nullable) — The associated mammography certification number for this service facility. This is a 6 digit code assigned by the FDA.
- `status` (enum, optional, nullable) — The status of the service facility.
  - Allowed values: `active`, `inactive`, `suspended`
- `operational_status` (enum, optional, nullable) — The operational status of the service facility.
  - Allowed values: `C`, `H`, `I`, `K`, `O`, `U`
- `mode` (enum, optional, nullable) — The mode of the service facility.
  - Allowed values: `instance`, `kind`
- `type` (enum, optional, nullable) — The type of the service facility.
  - Allowed values: `DX`, `CVDX`, `CATH`, `ECHO`, `GIDX`, `ENDOS`, `RADDX`, `RADO`, `RNEU`, `HOSP`, `CHR`, `GACH`, `MHSP`, `PSYCHF`, `RH`, `RHAT`, `RHII`, `RHMAD`, `RHPI`, `RHPIH`, `RHPIMS`, `RHPIVS`, `RHYAD`, `HU`, `BMTU`, `CCU`, `CHEST`, `EPIL`, `ER`, `ETU`, `HD`, `HLAB`, `INLAB`, `OUTLAB`, `HRAD`, `HUSCS`, `ICU`, `PEDICU`, `PEDNICU`, `INPHARM`, `MBL`, `NCCS`, `NS`, `OUTPHARM`, `PEDU`, `PHU`, `RHU`, `SLEEP`, `NCCF`, `SNF`, `OF`, `ALL`, `AMPUT`, `BMTC`, `BREAST`, `CANC`, `CAPC`, `CARD`, `PEDCARD`, `COAG`, `CRS`, `DERM`, `ENDO`, `PEDE`, `ENT`, `FMC`, `GI`, `PEDGI`, `GIM`, `GYN`, `HEM`, `PEDHEM`, `HTN`, `IEC`, `INFD`, `PEDID`, `INV`, `LYMPH`, `MGEN`, `NEPH`, `PEDNEPH`, `NEUR`, `OB`, `OMS`, `ONCL`, `PEDHO`, `OPH`, `OPTC`, `ORTHO`, `HAND`, `PAINCL`, `PC`, `PEDC`, `PEDRHEUM`, `POD`, `PREV`, `PROCTO`, `PROFF`, `PROS`, `PSI`, `PSY`, `RHEUM`, `SPMED`, `SU`, `PLS`, `URO`, `TR`, `TRAVEL`, `WND`, `RTF`, `PRC`, `SURF`, `DADDR`, `MOBL`, `AMB`, `PHARM`, `ACC`, `COMM`, `CSC`, `PTRES`, `SCHOOL`, `UPC`, `WORK`
- `physical_type` (enum, optional, nullable) — The physical type of the service facility.
  - Allowed values: `si`, `bu`, `wi`, `wa`, `lvl`, `co`, `ro`, `bd`, `ve`, `ho`, `ca`, `rd`, `area`, `jdn`

## Response

### 200

- `organization_service_facility_id` (string, required)
- `name` (string, required) — The name of the service facility.
- `aliases` (list of string, required) — A list of alternate names for the service facility.
- `telecoms` (list of string, required) — A list of contact methods for the service facility.
- `address` (StreetAddressLongZip, required) — The address of the service facility.
- `description` (string, optional, nullable) — A description of the service facility.
- `external_id` (string, optional, nullable) — An ID for this service facility used in an external system (e.g. your EMR). Service facilities can be queried by this field.
- `npi` (string, optional, nullable) — An NPI specific to the service facility if applicable, i.e. if it has one and is not under the billing provider's NPI. Box 32 section (a) of the CMS-1500 claim form.
- `place_of_service_code` (enum, optional, nullable) — The Place of Service (POS) code for this service facility.
  - Allowed values: `01`, `02`, `03`, `04`, `05`, `06`, `07`, `08`, `09`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `31`, `32`, `33`, `34`, `41`, `42`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `60`, `61`, `62`, `65`, `71`, `72`, `81`, `99`
- `clia_number` (string, optional, nullable) — The associated CLIA number with this service facility. Can be used to populate CLIA numbers on encounters.
- `mammography_certification_number` (string, optional, nullable) — The associated mammography certification number for this service facility. This is a 6 digit code assigned by the FDA.
- `status` (enum, optional, nullable) — The status of the service facility.
  - Allowed values: `active`, `inactive`, `suspended`
- `operational_status` (enum, optional, nullable) — The operational status of the service facility.
  - Allowed values: `C`, `H`, `I`, `K`, `O`, `U`
- `mode` (enum, optional, nullable) — The mode of the service facility.
  - Allowed values: `instance`, `kind`
- `type` (enum, optional, nullable) — The type of the service facility.
  - Allowed values: `DX`, `CVDX`, `CATH`, `ECHO`, `GIDX`, `ENDOS`, `RADDX`, `RADO`, `RNEU`, `HOSP`, `CHR`, `GACH`, `MHSP`, `PSYCHF`, `RH`, `RHAT`, `RHII`, `RHMAD`, `RHPI`, `RHPIH`, `RHPIMS`, `RHPIVS`, `RHYAD`, `HU`, `BMTU`, `CCU`, `CHEST`, `EPIL`, `ER`, `ETU`, `HD`, `HLAB`, `INLAB`, `OUTLAB`, `HRAD`, `HUSCS`, `ICU`, `PEDICU`, `PEDNICU`, `INPHARM`, `MBL`, `NCCS`, `NS`, `OUTPHARM`, `PEDU`, `PHU`, `RHU`, `SLEEP`, `NCCF`, `SNF`, `OF`, `ALL`, `AMPUT`, `BMTC`, `BREAST`, `CANC`, `CAPC`, `CARD`, `PEDCARD`, `COAG`, `CRS`, `DERM`, `ENDO`, `PEDE`, `ENT`, `FMC`, `GI`, `PEDGI`, `GIM`, `GYN`, `HEM`, `PEDHEM`, `HTN`, `IEC`, `INFD`, `PEDID`, `INV`, `LYMPH`, `MGEN`, `NEPH`, `PEDNEPH`, `NEUR`, `OB`, `OMS`, `ONCL`, `PEDHO`, `OPH`, `OPTC`, `ORTHO`, `HAND`, `PAINCL`, `PC`, `PEDC`, `PEDRHEUM`, `POD`, `PREV`, `PROCTO`, `PROFF`, `PROS`, `PSI`, `PSY`, `RHEUM`, `SPMED`, `SU`, `PLS`, `URO`, `TR`, `TRAVEL`, `WND`, `RTF`, `PRC`, `SURF`, `DADDR`, `MOBL`, `AMB`, `PHARM`, `ACC`, `COMM`, `CSC`, `PTRES`, `SCHOOL`, `UPC`, `WORK`
- `physical_type` (enum, optional, nullable) — The physical type of the service facility.
  - Allowed values: `si`, `bu`, `wi`, `wa`, `lvl`, `co`, `ro`, `bd`, `ve`, `ho`, `ca`, `rd`, `area`, `jdn`

## Errors

### 409 Conflict Error

- `OrganizationServiceFacilities_v2_createRequestConflictError`
  - OrganizationServiceFacilitiesV2CreateRequestConflictError0

### 422 Unprocessable Entity Error

- `OrganizationServiceFacilities_v2_createRequestUnprocessableEntityError`
  - OrganizationServiceFacilitiesV2CreateRequestUnprocessableEntityError0

## Types

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

### OrganizationServiceFacilitiesV2CreateRequestConflictError0

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationError`
- `content` (EntityConflictErrorMessage, optional)

### OrganizationServiceFacilitiesV2CreateRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationError`
- `content` (RequestValidationError, optional)

### EntityConflictErrorMessage

- `entity_name` (string, required)

### RequestValidationError

- `fieldName` (string, required)
- `humanReadableMessage` (string, optional, nullable)

## Examples

**Request**

```json
{
  "name": "Test Service Facility",
  "aliases": [
    "Test Service Facility Alias"
  ],
  "telecoms": [
    "555-555-5555"
  ],
  "address": {
    "address1": "123 Main St",
    "city": "New York",
    "state": "NY",
    "zip_code": "10001",
    "zip_plus_four_code": "1234",
    "address2": "Apt 1"
  },
  "description": "Test Service Facility Description",
  "status": "active",
  "operational_status": "C",
  "mode": "instance",
  "type": "DX",
  "physical_type": "si"
}
```

**Response**

```json
{
  "organization_service_facility_id": "30F55EE6-8C0E-43FC-A7FC-DAC00D5BF569",
  "name": "Test Service Facility",
  "aliases": [
    "Test Service Facility Alias"
  ],
  "telecoms": [
    "555-555-5555"
  ],
  "address": {
    "address1": "123 Main St",
    "city": "New York",
    "state": "NY",
    "zip_code": "10001",
    "zip_plus_four_code": "1234",
    "address2": "Apt 1"
  },
  "description": "Test Service Facility Description",
  "status": "active",
  "operational_status": "C",
  "mode": "instance",
  "type": "DX",
  "physical_type": "si"
}
```

**SDK Code**

```python Example1
import requests

url = "https://api.taigabilling.com/api/organization-service-facilities/v2"

payload = {
    "name": "Test Service Facility",
    "aliases": ["Test Service Facility Alias"],
    "telecoms": ["555-555-5555"],
    "address": {
        "address1": "123 Main St",
        "city": "New York",
        "state": "NY",
        "zip_code": "10001",
        "zip_plus_four_code": "1234",
        "address2": "Apt 1"
    },
    "description": "Test Service Facility Description",
    "status": "active",
    "operational_status": "C",
    "mode": "instance",
    "type": "DX",
    "physical_type": "si"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```